gstreamermm: Gst::DiscovererStreamInfo Class Reference

gstreamermm 1.0.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::DiscovererStreamInfo Class Reference

DiscovererStreamInfo - Base class for information concerning a media stream. More...

Inheritance diagram for Gst::DiscovererStreamInfo:
[legend]
Collaboration diagram for Gst::DiscovererStreamInfo:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstDiscovererStreamInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GstDiscovererStreamInfo* | gobj () const
| Provides access to the underlying C instance. More...
GstDiscovererStreamInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Caps > | get_caps ()
Glib::RefPtr< const Gst::Caps > | get_caps () const
Structure | get_misc () const
Glib::RefPtr < DiscovererStreamInfo > | get_next ()
Glib::RefPtr< const DiscovererStreamInfo > | get_next () const
Glib::RefPtr < DiscovererStreamInfo > | get_previous ()
Glib::RefPtr < DiscovererStreamInfo > | get_previous () const
TagList | get_tags () const
Glib::ustring | get_stream_type_nick () const
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...

## Protected Member Functions
| DiscovererStreamInfo ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gst::DiscovererStreamInfo > | wrap (GstDiscovererStreamInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

DiscovererStreamInfo - Base class for information concerning a media stream.

Depending on the stream type, one can find more media-specific information in Gst::DiscovererAudioInfo, Gst::DiscovererVideoInfo, and Gst::DiscovererContainerInfo.

The Gst::DiscovererStreamInfo represents the topology of the stream. Siblings can be iterated over with get_next() and get_previous(). Children (sub-streams) of a stream can be accessed using the Gst::DiscovererContainerInfo API.

As a simple example, if you run Gst::Discoverer on an AVI file with one audio and one video stream, you will get a Gst::DiscovererContainerInfo corresponding to the AVI container, which in turn will have a Gst::DiscovererAudioInfo sub-stream and a Gst::DiscovererVideoInfo sub-stream for the audio and video streams respectively.

## Constructor & Destructor Documentation

Gst::DiscovererStreamInfo::DiscovererStreamInfo | ( |  | ) |
| protected

## Member Function Documentation

Glib::RefPtr<Gst::Caps> Gst::DiscovererStreamInfo::get_caps | ( |  | ) |

Returns
  The Gst::Caps of the stream. Unref with #gst_caps_unref after usage.

Glib::RefPtr<const Gst::Caps> Gst::DiscovererStreamInfo::get_caps | ( |  | ) | const

Returns
  The Gst::Caps of the stream. Unref with #gst_caps_unref after usage.

Structure Gst::DiscovererStreamInfo::get_misc | ( |  | ) | const

Returns
  Additional information regarding the stream (for example codec version, profile, etc..). If you wish to use the Gst::Structure after the life-time of info you will need to copy it.

Glib::RefPtr<DiscovererStreamInfo> Gst::DiscovererStreamInfo::get_next | ( |  | ) |

Returns
  The next Gst::DiscovererStreamInfo in a chain. `0` for final streams. Unref with #gst_discoverer_stream_info_unref after usage.

Glib::RefPtr<const DiscovererStreamInfo> Gst::DiscovererStreamInfo::get_next | ( |  | ) | const

Returns
  The next Gst::DiscovererStreamInfo in a chain. `0` for final streams. Unref with #gst_discoverer_stream_info_unref after usage.

Glib::RefPtr<DiscovererStreamInfo> Gst::DiscovererStreamInfo::get_previous | ( |  | ) |

Returns
  The previous Gst::DiscovererStreamInfo in a chain. `0` for starting points. Unref with #gst_discoverer_stream_info_unref after usage.

Glib::RefPtr<DiscovererStreamInfo> Gst::DiscovererStreamInfo::get_previous | ( |  | ) | const

Returns
  The previous Gst::DiscovererStreamInfo in a chain. `0` for starting points. Unref with #gst_discoverer_stream_info_unref after usage.

Glib::ustring Gst::DiscovererStreamInfo::get_stream_type_nick | ( |  | ) | const

Returns
  A human readable name for the stream type of the given info (ex : "audio", "container",...).

TagList Gst::DiscovererStreamInfo::get_tags | ( |  | ) | const

Returns
  The tags contained in this stream. If you wish to use the tags after the life-time of info you will need to copy them.

GstDiscovererStreamInfo* Gst::DiscovererStreamInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GstDiscovererStreamInfo* Gst::DiscovererStreamInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GstDiscovererStreamInfo* Gst::DiscovererStreamInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gst::DiscovererStreamInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

void Gst::DiscovererStreamInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gst::DiscovererStreamInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DiscovererStreamInfo > wrap | ( | GstDiscovererStreamInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/discovererinfo.h